aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/ebuild.bash
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/ebuild/ebuild.bash')
-rwxr-xr-xpaludis/repositories/e/ebuild/ebuild.bash5
1 files changed, 4 insertions, 1 deletions
diff --git a/paludis/repositories/e/ebuild/ebuild.bash b/paludis/repositories/e/ebuild/ebuild.bash
index 8f40fb8f4..e0b67ef51 100755
--- a/paludis/repositories/e/ebuild/ebuild.bash
+++ b/paludis/repositories/e/ebuild/ebuild.bash
@@ -374,7 +374,10 @@ ebuild_load_ebuild()
eval paludis_saved_${paludis_v}='${!paludis_v}'
done
- [[ -f ${1} ]] || die "Ebuild '${1}' is not a file"
+ if [[ ! -f ${1} ]]; then
+ [[ -r ${1} ]] || die "Ebuild '${1}' cannot be read"
+ die "Ebuild '${1}' is not a file"
+ fi
source ${1} || die "Error sourcing ebuild '${1}'"
# we may or may not use this later